import { Component, OnInit } from "@angular/core";
import { IPCService } from "../services/ipc.service";

@Component({
    selector: "app",
    template: `
        <div *ngIf="name">
            Hello, {{name}}!
        </div>
        <div *ngIf="instructions" [innerHTML]="instructions"></div>
    `
})
export class PageComponent implements OnInit
{
    private name: string;
    private instructions: string;

    public constructor(
        private ipcService: IPCService
    ) {}

    public ngOnInit(): void
    {
        this.ipcService.publish("ready", true);
        this.ipcService.attachListener("app:name", (event: any, appName: string): void => {
            this.name = appName;
        });
        this.ipcService.attachListener("app:instructions", (event: any, instructions: string): void => {
            this.instructions = instructions;
        });
    }
}