import { Injectable } from "@angular/core";
import * as Electron from "electron";

@Injectable()
export class IPCService
{
    private ipc: any;

    public constructor()
    {
        this.ipc = Electron.ipcRenderer;
    }

    public attachListener(channel: string, callback: Function): void
    {
        this.ipc.on(channel, (event, arg) => {
            callback(event, arg);
        });
    }

    public publish(channel: string, data: any): void
    {
        this.ipc.send(channel, data);
    }
}